package com.tarento.upsmf.examsAndAdmissions.model.dao;

import com.tarento.upsmf.examsAndAdmissions.model.Exam;
import lombok.*;

import javax.persistence.*;
import java.util.List;

@Entity
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@ToString(includeFieldNames = true)
@Builder
@Table(name = "payment")
public class Payment {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long feeId;

    private String fullName;

    @OneToMany(cascade = CascadeType.ALL, orphanRemoval = true)
    @JoinColumn(name = "fee_id")
    private List<Exam> exams;

    private Integer noOfExams;
    private Integer feeAmount;
    private String enrollmentNumber;
}
